Name:          python-idna
Version:       3.1
Release:       1mamba
Summary:       Internationalized Domain Names in Applications (IDNA)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/kjd/idna
Source:        https://pypi.debian.net/idna/idna-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n idna-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist
chmod -R +r %{buildroot}%{python_sitearch}/idna-*.egg-info

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)

%changelog
* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Wed Jul 15 2020 Automatic Build System <autodist@mambasoft.it> 2.10-1mamba
- automatic version update by autodist

* Mon Feb 17 2020 Automatic Build System <autodist@mambasoft.it> 2.9-1mamba
- automatic version update by autodist

* Fri Mar 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8-2mamba
- rebuilt with -py36 package

* Wed Dec 05 2018 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic version update by autodist

* Sun Jun 17 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7-2mamba
- fixed permissions of egg-info files

* Sun Jun 17 2018 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Sun Aug 20 2017 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- automatic version update by autodist

* Thu Mar 09 2017 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic version update by autodist

* Sun Mar 05 2017 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Wed Dec 21 2016 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- automatic version update by autodist

* Thu Mar 24 2016 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic version update by autodist

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0-1mamba
- package created using the webbuild interface
